Index: trunk/geant4/N03/.DAWN_1.history
===================================================================
--- trunk/geant4/N03/.DAWN_1.history	(revision 608)
+++ trunk/geant4/N03/.DAWN_1.history	(revision 609)
@@ -1,10 +1,10 @@
-885739
-35
-35
+103078
 0
-10.6007
--11.7529
-11.7529
-1.1
+0
+0
+0
+0
+0
+1
 1
 0.001
Index: trunk/geant4/N03/G4History.macro
===================================================================
--- trunk/geant4/N03/G4History.macro	(revision 608)
+++ trunk/geant4/N03/G4History.macro	(revision 609)
@@ -1,8 +1,4 @@
 /run/verbose 2
 /vis/scene/create
-/vis/open DAWNFILE
-/vis/sceneHandler/create DAWNFILE
-/vis/sceneHandler/attach
-/vis/viewer/create ! ! 600
 /vis/open OGLSQT
 /vis/sceneHandler/create OGLSQT
@@ -12,6 +8,6 @@
 /vis/scene/notifyHandlers
 /vis/viewer/flush
-/vis/viewer/refresh viewer-1
-/vis/viewer/update viewer-1
+/vis/viewer/refresh viewer-0
+/vis/viewer/update viewer-0
 /vis/scene/add/trajectories
 /tracking/storeTrajectory 1
@@ -22,39 +18,2 @@
 /vis/scene/endOfEventAction accumulate
 /vis/scene/notifyHandlers
-/control/execute visTutor/gui.mac
-/gui/addMenu file File
-/gui/addButton file Continue continue
-/gui/addButton file Exit "exit"
-/gui/addMenu run Run
-/gui/addButton run "beamOn 1" "/run/beamOn 1"
-/gui/addButton run run1 "/control/execute run1.mac"
-/gui/addButton run run2 "/control/execute run2.mac"
-/gui/addMenu gun Gun
-/gui/addButton gun "50 MeV"  "/gun/energy 50 MeV"
-/gui/addButton gun "1 GeV"   "/gun/energy 1 GeV"
-/gui/addButton gun "10 GeV"  "/gun/energy 10 GeV"
-/gui/addButton gun "e-"      "/gun/particle e-"
-/gui/addButton gun "pi0"     "/gun/particle pi0"
-/gui/addButton gun "pi+"     "/gun/particle pi+"
-/gui/addButton gun "neutron" "/gun/particle neutron"
-/gui/addButton gun "proton"  "/gun/particle proton"
-/gui/addMenu vis Vis
-/gui/addButton vis Vis0(OGLIX) "/control/execute visTutor/exN03Vis0.mac"
-/gui/addButton vis Vis1(OGLSX) "/control/execute visTutor/exN03Vis1.mac"
-/gui/addButton vis Vis2(OGLSX) "/control/execute visTutor/exN03Vis2.mac"
-/gui/addButton vis Vis3(OGLSX) "/control/execute visTutor/exN03Vis3.mac"
-/gui/addButton vis Vis4(OGLIX) "/control/execute visTutor/exN03Vis4.mac"
-/gui/addButton vis Vis12(OGLIQT) "/control/execute visTutor/exN03Vis12.mac"
-/gui/addButton vis Vis14(OGLSQT) "/control/execute visTutor/exN03Vis14.mac"
-/gui/addButton vis Vis5(OIX)   "/control/execute visTutor/exN03Vis5.mac"
-/gui/addButton vis Vis6(VRML2FILE) "/control/execute visTutor/exN03Vis6.mac"
-/gui/addButton vis Vis7(DAWNFILE) "/control/execute visTutor/exN03Vis7.mac"
-/gui/addButton vis Vis8(DAWNFILE) "/control/execute visTutor/exN03Vis8.mac"
-/gui/addButton vis Vis9(OGLIWIN) "/control/execute visTutor/exN03Vis9.mac"
-/gui/addButton vis Vis10(OIWin32) "/control/execute visTutor/exN03Vis10.mac"
-/gui/addButton vis Vis11(OGLSXm) "/control/execute visTutor/exN03Vis11.mac"
-/gui/addMenu viewer Viewer
-/gui/addButton viewer "Set style solid" "/vis/viewer/set/style solid"
-/gui/addButton viewer "Set style wireframe" "/vis/viewer/set/style wire"
-/gui/addButton viewer "Update scene" "/vis/scene/notifyHandlers"
-/N03/event/printModulo 100
Index: trunk/geant4/N03/History
===================================================================
--- trunk/geant4/N03/History	(revision 608)
+++ trunk/geant4/N03/History	(revision 609)
@@ -1,3 +1,3 @@
-$Id: History,v 1.111 2006/10/26 14:58:59 allison Exp $
+$Id: History,v 1.116 2007/11/16 10:52:37 lgarnier Exp $
 --------------------------------------------------
 
@@ -16,4 +16,22 @@
      ----------------------------------------------------------
      
+16-11-07 Laurent Garnier
+- exampleN03 : Adding Qt render possibility
+- visTutor/gui.mac : Adding menu for Qt render
+- visTutor/exN03Vis14.mac,visTutor/exN03Vis15.mac : Adding file menu for
+  Qt render
+
+02-07-07 V.Ivant (exampleN03-V09-00-00)
+- make destructors virtual, cleanup
+
+25-06-07 mma (exampleN03-V08-03-02)
+- simplifications in exampleN03.cc
+     
+13-06-07 mma (exampleN03-V08-03-01)
+- more verbose in rndmSeed.mac
+     
+21-05-07 John Allison (exampleN03-V08-03-00)
+- Changed visTutor/exN03Vis12.loop and 13: follows change to /vis/ogl/printEPS.
+
 26-10-06 John Allison (exampleN03-V08-01-04)
 - Migrate to new trajectory modeling commands:
Index: trunk/geant4/N03/exampleN03.cc
===================================================================
--- trunk/geant4/N03/exampleN03.cc	(revision 608)
+++ trunk/geant4/N03/exampleN03.cc	(revision 609)
@@ -25,29 +25,10 @@
 //
 //
-// $Id: exampleN03.cc,v 1.28 2006/06/29 17:48:30 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01 $
+// $Id: exampleN03.cc,v 1.33 2007/11/16 10:50:41 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-
-/** Environnement definition for app launch for mac
-*/
-//#define MOSX_APP
-#ifdef MOSX_APP
-#define G4UI_BUILD_QT_SESSION
-#define G4UI_USE_QT
-#define G4VIS_BUILD_OPENGLQT_DRIVER
-#define G4VIS_USE_OPENGLQT
-#endif
-/** End of Environnement definition for app launch for mac
-*/
-
-
-
-
-
-
 
 #include "G4RunManager.hh"
@@ -56,22 +37,5 @@
 #include "G4UItcsh.hh"
 
-#ifdef G4UI_USE_XM
-#include "G4UIXm.hh"
-#endif
-
-#ifdef G4UI_USE_QT
-#include "G4UIQt.hh"
-#include "G4Qt.hh"
-#endif
-
-#ifdef G4UI_USE_WIN32
-#include "G4UIWin32.hh"
-#endif
-
 #include "Randomize.hh"
-
-#ifdef G4VIS_USE
-#include "G4VisExecutive.hh"
-#endif
 
 #include "ExN03DetectorConstruction.hh"
@@ -83,4 +47,23 @@
 #include "ExN03SteppingVerbose.hh"
 
+#ifdef G4VIS_USE
+#include "G4VisExecutive.hh"
+#endif
+
+#ifdef G4UI_USE_XM
+#include "G4UIXm.hh"
+#endif
+
+#ifdef G4UI_USE_WIN32
+#include "G4UIWin32.hh"
+#endif
+
+#ifdef G4UI_USE_QT
+#include "G4UIQt.hh"
+#include "G4Qt.hh"
+#include <qapplication.h>
+#endif
+
+
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
 
@@ -90,9 +73,8 @@
   //
   CLHEP::HepRandom::setTheEngine(new CLHEP::RanecuEngine);
-    
+  
   // User Verbose output class
   //
-  G4VSteppingVerbose* verbosity = new ExN03SteppingVerbose;
-  G4VSteppingVerbose::SetInstance(verbosity);
+  G4VSteppingVerbose::SetInstance(new ExN03SteppingVerbose);
      
   // Construct the default run manager
@@ -107,38 +89,9 @@
   G4VUserPhysicsList* physics = new ExN03PhysicsList;
   runManager->SetUserInitialization(physics);
-
-  G4UIsession* session=0;
-  
-#ifndef MOSX_APP
-  if (argc==1)   // Define UI session for interactive mode.
-    {
-#endif
-      // G4UIterminal is a (dumb) terminal
-      //
-#if defined(G4UI_USE_XM)
-      session = new G4UIXm(argc,argv);
-#elif defined(G4UI_USE_WIN32)
-      session = new G4UIWin32();
-#elif defined(G4UI_USE_QT)
-      session = new G4UIQt(argc,argv);
-#elif defined(G4UI_USE_TCSH)
-      session = new G4UIterminal(new G4UItcsh);      
-#else
-      session = new G4UIterminal();
-#endif
-#ifndef MOSX_APP
-    }
-#endif
-  
-#ifdef G4VIS_USE
-  // Visualization manager
-  //
-  G4VisManager* visManager = new G4VisExecutive;
-  visManager->Initialize();
-#endif
-     
+    
   // Set user action classes
   //
-  G4VUserPrimaryGeneratorAction* gen_action = new ExN03PrimaryGeneratorAction(detector);
+  G4VUserPrimaryGeneratorAction* gen_action = 
+                          new ExN03PrimaryGeneratorAction(detector);
   runManager->SetUserAction(gen_action);
   //
@@ -150,5 +103,5 @@
   //
   G4UserSteppingAction* stepping_action =
-    new ExN03SteppingAction(detector, event_action);
+                    new ExN03SteppingAction(detector, event_action);
   runManager->SetUserAction(stepping_action);
   
@@ -156,41 +109,45 @@
   //
   runManager->Initialize();
-    
+  
   // Get the pointer to the User Interface manager
   //
-  G4UImanager* UI = G4UImanager::GetUIpointer();  
+  G4UImanager* UI = G4UImanager::GetUIpointer();      
+  
+  if (argc!=1)   // batch mode
+    {
+      G4String command = "/control/execute ";
+      G4String fileName = argv[1];
+      UI->ApplyCommand(command+fileName);    
+    }
+  else           // interactive mode : define visualization UI terminal
+    {
+#ifdef G4VIS_USE
+      G4VisManager* visManager = new G4VisExecutive;
+      visManager->Initialize();
+#endif
 
-  if (session)   // Define UI session for interactive mode
-    {
-      // G4UIterminal is a (dumb) terminal
-      //
-#ifdef MOSX_APP
-      G4Qt* interactorManager = G4Qt::getInstance (); 
-      G4String vis = QString("/control/execute "+((QApplication*)interactorManager->GetMainInteractor())->applicationDirPath ()+"/../Resources/vis.mac").toStdString().c_str();
+      G4UIsession* session = 0;
+#if defined(G4UI_USE_TCSH)
+      session = new G4UIterminal(new G4UItcsh);      
+#elif defined(G4UI_USE_XM)
+      session = new G4UIXm(argc,argv);
+      UI->ApplyCommand("/control/execute visTutor/gui.mac");      
+#elif defined(G4UI_USE_WIN32)
+      session = new G4UIWin32();
+      UI->ApplyCommand("/control/execute visTutor/gui.mac");      
+#elif defined(G4UI_USE_QT)
+      session = new G4UIQt(argc,argv);
+      UI->ApplyCommand("/control/execute visTutor/gui.mac");      
 #else
-      G4String vis = "/control/execute vis.mac";    
+      session = new G4UIterminal();
 #endif
-      UI->ApplyCommand(vis);    
-#if defined(G4UI_USE_XM) || defined(G4UI_USE_WIN32) || defined(G4UI_USE_QT)
-      // Customize the G4UIXm,Win32 menubar with a macro file
-      //
-#ifdef MOSX_APP
-      G4String visTutor = QString("/control/execute "+((QApplication*)interactorManager->GetMainInteractor())->applicationDirPath ()+"/../Resources/visTutor/gui.mac").toStdString().c_str();
-#else
-      G4String visTutor = "/control/execute visTutor/gui.mac";    
-#endif
-      UI->ApplyCommand(visTutor);
-#endif
+
+      UI->ApplyCommand("/control/execute vis.mac");
       session->SessionStart();
       delete session;
-    }
-  else           // Batch mode
-    { 
+      
 #ifdef G4VIS_USE
-      visManager->SetVerboseLevel("quiet");
-#endif
-      G4String command = "/control/execute ";
-      G4String fileName = argv[1];
-      UI->ApplyCommand(command+fileName);
+      delete visManager;
+#endif                
     }
 
@@ -199,10 +156,5 @@
   //                 owned and deleted by the run manager, so they should not
   //                 be deleted in the main() program !
-
-#ifdef G4VIS_USE
-  delete visManager;
-#endif
   delete runManager;
-  delete verbosity;
 
   return 0;
Index: trunk/geant4/N03/g4_00.prim
===================================================================
--- trunk/geant4/N03/g4_00.prim	(revision 608)
+++ trunk/geant4/N03/g4_00.prim	(revision 609)
@@ -221,2 +221,6 @@
 /BaseVector                 1                 0                 0                 0                 1                 0
 /Box               2.5                50                50
+#--------------------
+!EndModeling
+!DrawAll
+!CloseDevice
Index: trunk/geant4/N03/g4_01.prim
===================================================================
--- trunk/geant4/N03/g4_01.prim	(revision 608)
+++ trunk/geant4/N03/g4_01.prim	(revision 609)
@@ -221,2 +221,6 @@
 /BaseVector                 1                 0                 0                 0                 1                 0
 /Box               2.5                50                50
+#--------------------
+!EndModeling
+!DrawAll
+!CloseDevice
Index: trunk/geant4/N03/g4_02.prim
===================================================================
--- trunk/geant4/N03/g4_02.prim	(revision 608)
+++ trunk/geant4/N03/g4_02.prim	(revision 609)
@@ -1,79 +1,224 @@
 ##G4.PRIM-FORMAT-2.4
-/BoundingBox       -866.025404       -866.025404       -866.025404        866.025404        866.025404        866.025404
+/BoundingBox       -103.077641       -103.077641       -103.077641        103.077641        103.077641        103.077641
 !SetCamera
 !OpenDevice
 !BeginModeling
-/ColorRGB                 1                 0                 0
+#--------------------
+#/PVName          Calorimeter.0
+/ColorRGB                 1                 1                 1
 /ForceWireframe  0
 /Origin                 0                 0                 0
 /BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex                 0                 0                 0
-/PLVertex               500                 0                 0
-/EndPolyline
-/ColorRGB                 0                 1                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex                 0                 0                 0
-/PLVertex                 0               500                 0
-/EndPolyline
-/ColorRGB                 0                 0                 1
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex                 0                 0                 0
-/PLVertex                 0                 0               500
-/EndPolyline
-/ColorRGB                 0                 0                 1
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/MarkText2DS                 0                0                0               40             -100             -140 Absorber
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               -25               -50                50
-/PLVertex               -25               -50               -50
-/EndPolyline
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               -25               -45                50
-/PLVertex               -25               -55                50
-/EndPolyline
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               -20               -50                50
-/PLVertex               -30               -50                50
-/EndPolyline
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               -25               -45               -50
-/PLVertex               -25               -55               -50
-/EndPolyline
-/ColorRGB                 1                 0                 0
-/ForceWireframe  0
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/Polyline
-/PLVertex               -20               -50               -50
-/PLVertex               -30               -50               -50
-/EndPolyline
-/ColorRGB                 0                 0                 1
-/Origin                 0                 0                 0
-/BaseVector                 1                 0                 0                 0                 1                 0
-/MarkText2DS               -25              -45                0               12                0                0 10 cm
+/Box                75                50                50
+#--------------------
+#/PVName               Layer.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -67.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin               -70                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -62.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.1
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -52.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin               -55                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -47.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.2
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -37.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin               -40                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -32.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.3
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -22.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin               -25                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin             -17.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.4
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              -7.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin               -10                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              -2.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.5
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin               7.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin                 5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              12.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.6
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              22.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin                20                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              27.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.7
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              37.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin                35                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              42.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.8
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              52.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin                50                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              57.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
+#--------------------
+#/PVName               Layer.9
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              67.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               7.5                50                50
+#--------------------
+#/PVName                    Lead.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin                65                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box                 5                50                50
+#--------------------
+#/PVName                    liquidArgon.0
+/ColorRGB                 1                 1                 1
+/ForceWireframe  0
+/Origin              72.5                 0                 0
+/BaseVector                 1                 0                 0                 0                 1                 0
+/Box               2.5                50                50
 #--------------------
 !EndModeling
